%define 	module	yara
Summary:	Python bindings to yara library
Name:		python-%{module}
Version:	4.3.1
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Python
Source0:	https://github.com/VirusTotal/yara-python/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3232b37fa7b7edb0f76d977767ed5bbf
URL:		http://virustotal.github.io/yara/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	yara-devel
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python extension that gives you access to YARA's powerful
features from your own Python scripts.

%prep
%setup -q -n %{module}-python-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{py_sitedir}/yara.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/yara_python-*.egg-info
%endif
%changelog
* Wed Jun 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-yara.git;a=log;h=master

* Tue Jun 13 2023 Jan Palus <atler@pld-linux.org> 5b57a0d
- up to 4.3.1

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 13126a7
- rel 3.1 to avoid accidental rebuilds

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 052202f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8e40f86
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7d04eed
- automatic change: use py_build/py_install macros

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 7dc4493
- note that yara.spec builds python-yara now

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 99b2d33
- release 2

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> 2290efe
- new

